Name:       ibus-table-erbi
Version:    1.2.0.20090901
Release:    3%{?dist}
Summary:    Erbi table(s) for IBus-Table
License:    GPLv2+
Group:      System Environment/Libraries
URL:        http://code.google.com/p/ibus/
Source0:    http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz

Requires:         ibus-table >= 1.2
BuildRequires:    ibus-table >= 1.2, gettext-devel >= 0.17, automake >= 1.10.1
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

%description
The package contains Erbi table(s) for IBus-Table. 

%prep
%setup -q

%build
export IBUS_TABLE_CREATEDB="%{_bindir}/ibus-table-createdb --no-create-index"
%configure --prefix=%{_prefix}
%__make %{?_smp_mflags}

%install
%__rm -rf %{buildroot}
%__make DESTDIR=%{buildroot} INSTALL="install -p" NO_INDEX=true install

%clean
%__rm -rf %{buildroot}

%post
cd %{_datadir}/ibus-table/tables/
%{_bindir}/ibus-table-createdb -i -n erbi_qs.db

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%dir %{_datadir}/ibus-table
%dir %{_datadir}/ibus-table/icons
%dir %{_datadir}/ibus-table/tables
%{_datadir}/ibus-table/tables/erbi.db
%{_datadir}/ibus-table/tables/erbi_qs.db
%{_datadir}/ibus-table/icons/erbi-qs.svg
%{_datadir}/ibus-table/icons/erbi.png

%changelog
* Wed Oct 07 2009 Caius 'kaio' Chance <k AT kaio.me> - 1.2.0.20090901-3.fc11
- Rebuilt.

* Tue Oct 06 2009 Caius 'kaio' Chance <k AT kaio.me> - 1.2.0.20090901-2.fc11
- Rebuilt.

* Tue Oct 06 2009 Caius 'kaio' Chance <k AT kaio.me> - 1.2.0.20090901-1.fc11
- Rebuilt with IBus 1.2.

* Fri Jul 03 2009 Caius 'kaio' Chance <k AT kaio.me> - 1.1.0.20090407-6.fc11
- Changed commands into macros.
- Fixed index creation with correct work directory.
- Added owned directories.

* Tue Jun 16 2009 Caius 'kaio' Chance <k AT kaio.me> - 1.1.0.20090407-5.fc11
- Resolves: 500973 (Fixed missing .txt during post-install.)

* Tue May 19 2009 Caius 'kaio' Chance <cchance@redhat.com> - 1.1.0.20090407-4.fc11
- Create index only during post-install.

* Tue Apr 07 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090407-3.fc11
- Fixed files typo.

* Tue Apr 07 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090407-2.fc11
- Updated spec file info.

* Tue Apr 07 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090407-1.fc11
- Corrected license to GPLv2.

* Mon Apr 06 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090403-2.fc11
- Added ChangeLog as doc.

* Thu Apr 02 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090403-1.fc11
- Updated source tarball.

* Thu Apr 02 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090402-1.fc11
- Resolves: rhbz#488173
- Splited from ibus-table.
